dpkg-mergechangelogs(1)

NOMBRE
dpkg-mergechangelogs - Fusión a partir de tres versiones («3-way merge») de ficheros «debian/changelog»

SINOPSIS
dpkg-mergechangelogs [opción...] antiguo nuevo-a nuevo-b [salida]

DESCRIPCIÓN

Este programa usa las tres versiones proporcionadas del registro de cambios de Debian para generar un fichero de registro de cambios («changelog») fusionado. El registro de cambios resultante se guarda en el fichero salida, o se mostrará por la salida estándar en caso de no introducir tal parámetro.

Cada entrada se identifica por su número de versión y, asumiendo que no entran en conflicto, se fusionarán en el orden correcto (por orden decreciente del número de versión). Cuando se usa --merge-prereleases, se omitirá el número de versión tras la última tilde, de forma que «1.0-1~exp1» y «1.0-1~exp5» se tomarán como la misma entrada. Cuando la misma versión está disponible en nuevo-a y nuevo-b, se intentará una fusión estándar de las líneas de las tres versiones (sólo si esta disponible el módulo «Algorithm::Merge» — parte del paquete «libalgorithm-merge-perl» —, de no ser así, obtendrá un conflicto global en el contenido de la entrada).

OPCIONES

-m, --merge-prereleases
    Elimina la parte tras la última virgulilla en el número de versión al realizar una comparación para identificar si dos entradas son la misma o no.

    Es útil cuando siempre se usa la misma entrada en el registro de cambios, pero aumenta el número de versión regularmente. Por ejemplo, puede tener «2.3-1~exp1», «2.3-1~exp2»... hasta la publicación oficial «2.3-1», teniendo todas la misma entrada en el registro de cambios, pero que ha evolucionado con el tiempo.

--help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

LIMITACIONES

Se perderá durante la fusión todo lo que «Dpkg::Changelog» no analice. Esto puede incluir cosas como «modelines» de vim, comentarios donde no deberían estar, etc.

INTEGRACIÓN CON GIT

Si desea utilizar este programa para fusionar ficheros de registro de cambios de Debian en un repositorio git primero tendrá que registrar un nuevo «merge driver» en .git/config o ~/.gitconfig:

 [merge "dpkg-mergechangelogs"]
     name = debian/changelog merge driver
     driver = dpkg-mergechangelogs -m %O %A %B %A

Después tendrá que definir el «merge attribute» para el fichero «debian/changelog» bien en .gitattributes en el mismo repositorio, o en .git/info/attributes:

 debian/changelog merge=dpkg-mergechangelogs

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.